apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: "fake"
spec:
  refreshInterval: "30m"
  target:
    name: fake
  dataFrom:
  - sourceRef:
      generatorRef:
        apiVersion: generators.external-secrets.io/v1alpha1
        kind: Fake
        name: "fake-key"
